Booking Groups
Grouping of related bookings
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Booking group ID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/booking-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": 0, "name": "string", "description": "string", "sortOrder": 0, "isActive": true, "schedule": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string" } ], "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe", "scheduleRules": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string", "ruleType": "WEEKDAY", "startDate": "string", "endDate": "string", "isAvailable": true } ], "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "slotIntervalMinutes": 0, "defaultDurationMinutes": 0, "maxPartySize": 0, "minAdvanceHours": 0, "maxAdvanceDays": 0, "paymentHoldMinutes": 0, "confirmationMode": "string", "requiredItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inventoryItemId": 0, "quantityPer": "booking", "itemName": "string", "itemPrice": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Booking group ID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/booking-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": 0, "name": "string", "description": "string", "sortOrder": 0, "isActive": true, "schedule": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string" } ], "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe", "scheduleRules": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string", "ruleType": "WEEKDAY", "startDate": "string", "endDate": "string", "isAvailable": true } ], "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "slotIntervalMinutes": 0, "defaultDurationMinutes": 0, "maxPartySize": 0, "minAdvanceHours": 0, "maxAdvanceDays": 0, "paymentHoldMinutes": 0, "confirmationMode": "string", "requiredItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inventoryItemId": 0, "quantityPer": "booking", "itemName": "string", "itemPrice": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Booking group ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/booking-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": 0, "name": "string", "description": "string", "sortOrder": 0, "isActive": true, "schedule": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string" } ], "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe", "scheduleRules": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string", "ruleType": "WEEKDAY", "startDate": "string", "endDate": "string", "isAvailable": true } ], "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "slotIntervalMinutes": 0, "defaultDurationMinutes": 0, "maxPartySize": 0, "minAdvanceHours": 0, "maxAdvanceDays": 0, "paymentHoldMinutes": 0, "confirmationMode": "string", "requiredItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inventoryItemId": 0, "quantityPer": "booking", "itemName": "string", "itemPrice": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Query Parameters
Include inactive groups
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/locations/0/booking-groups"{ "status": "success", "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": 0, "name": "string", "description": "string", "sortOrder": 0, "isActive": true, "schedule": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string" } ], "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe", "scheduleRules": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string", "ruleType": "WEEKDAY", "startDate": "string", "endDate": "string", "isAvailable": true } ], "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "slotIntervalMinutes": 0, "defaultDurationMinutes": 0, "maxPartySize": 0, "minAdvanceHours": 0, "maxAdvanceDays": 0, "paymentHoldMinutes": 0, "confirmationMode": "string", "requiredItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inventoryItemId": 0, "quantityPer": "booking", "itemName": "string", "itemPrice": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Location ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Group name
Group description
Display sort order
Whether the group is active
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/locations/0/booking-groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "status": "success", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": 0, "name": "string", "description": "string", "sortOrder": 0, "isActive": true, "schedule": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string" } ], "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe", "scheduleRules": [ { "dayOfWeek": 0, "startTime": "string", "endTime": "string", "ruleType": "WEEKDAY", "startDate": "string", "endDate": "string", "isAvailable": true } ], "tableIds": [ "0f15e971-bb89-4712-9d06-bc444ed39ebe" ], "slotIntervalMinutes": 0, "defaultDurationMinutes": 0, "maxPartySize": 0, "minAdvanceHours": 0, "maxAdvanceDays": 0, "paymentHoldMinutes": 0, "confirmationMode": "string", "requiredItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inventoryItemId": 0, "quantityPer": "booking", "itemName": "string", "itemPrice": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}